be.fgov.ehealth.hubservices.core.v2

## Class SelectGetPatientConsentType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.SelectGetPatientConsentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:23:34+02:00",
                 comments="JAXB RI v2.2.11")
      public class SelectGetPatientConsentType
      extends Object
      implements Serializable

  Java class for SelectGetPatientConsentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectGetPatientConsentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
               <element name="consent" type="{http://www.ehealth.fgov.be/hubservices/core/v2}BasicConsentType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectGetPatientConsentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BasicConsentType` | `getConsent()` Gets the value of the consent property.
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `void` | `setConsent(BasicConsentType value)` Sets the value of the consent property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectGetPatientConsentType

          public SelectGetPatientConsentType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getConsent

          public BasicConsentType getConsent()

      Gets the value of the consent property.
      Returns:
        possible object is `BasicConsentType`

    - #### setConsent

          public void setConsent(BasicConsentType value)

      Sets the value of the consent property.
      Parameters:
        `value` - allowed object is `BasicConsentType`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.